/*
 * ARM_CommBlock_v1.h
 *
 *  Created on: Aug 26, 2018
 *      Author: Kasun
 */

#ifndef SRC_ARM_COMMBLOCK_V1_H_
#define SRC_ARM_COMMBLOCK_V1_H_

#define ARM_COMMBLOCK_DEBUG	0

//#include "project_para.h"
//#include <stdlib.h>

typedef struct xPacaket{
	unsigned int	size;
	unsigned int	*addr;
	unsigned int	*values;
	char			*cmd;
} xPacaket;

typedef struct txPacket{
	int len;
	unsigned int txaddr;
} txPacket;

xPacaket Analyze_PC_request(char *eth_rx_payload);
txPacket Execute_PC_request(xPacaket *rxpack);




//volatile u8* cur_buf;
char *strvar;



#define nReg_readOnly	16
#define nReg_writeOnly	16
unsigned int addr[nReg_writeOnly];		//global
unsigned int values[nReg_writeOnly];			// variable that holds the values




#endif /* SRC_ARM_COMMBLOCK_V1_H_ */
